'use strict';

var _baseGetAllKeys = require('./_baseGetAllKeys.js');
var _getSymbols = require('./_getSymbols.js');
var keys = require('./keys.js');

/**
 * Creates an array of own enumerable property names and symbols of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names and symbols.
 */
function getAllKeys(object) {
  return _baseGetAllKeys(object, keys, _getSymbols);
}

module.exports = getAllKeys;
